#ifndef __BOARD_MGR__
#define __BOARD_MGR__

//mark for empty spot
#define EMPTY       '.'
//mark of the other player
#define OTHER(m)    ((m) == 'O' ? 'X': 'O')

//board manager
//
typedef struct board_mgr {
    void (*destroy       )(struct board_mgr *self);
    int  (*has_winner    )(char *board);
    int  (*has_empty_spot)(char *board);
    void (*print_board   )(char *mark, char *board);
    void (*read_board    )(int fd, char* board);
    void (*write_board   )(int fd, char* board);
} board_mgr_t;

extern board_mgr_t *make_board_mgr();

#endif
